package backup.client;

/**
 * Graphical user interface implementing <code>UserInterface</code>.
 * 
 * @author <a href="mailto:mauset@idi.ntnu.no">Tore Mauset</a>
 */
public class Gui implements UserInterface {
    private BackupClient bc;

    /**
     * Constructs a new Gui.
     * 
     * @param bc
     */
    public Gui(BackupClient bc) {
        this.bc = bc;
        System.out.println("GUI not implemented, exiting.");
        this.bc.exit();
    }

    /*
     * (non-Javadoc)
     * 
     * @see backup.client.UserInterface#status(java.lang.String)
     */
    public void status(String msg) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see backup.client.UserInterface#warn(java.lang.String)
     */
    public void warn(String msg) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see backup.client.UserInterface#processingFile(java.lang.String)
     */
    public void processingFile(String filename) {
    }
}
