package backup.client;

/**
 * @author <a href="mailto:mauset@idi.ntnu.no">Tore Mauset</a>
 */
public interface UserInterface {
    /**
     * Displays a status message.
     * 
     * @param msg message
     */
    public void status(String msg);

    /**
     * Displays a warning message.
     * 
     * @param msg message
     */
    public void warn(String msg);

    /**
     * Display info about file currently being processed by rdiff-backup.
     * 
     * @param filename filename
     */
    public void processingFile(String filename);
}
